import { API_URL } from "../consts";

/**
 * Gets a player from the ScoreSaber Utils API
 *
 * @param id The player's ID
 */
export async function getPlayer(id: string) {
  const response = await fetch(`${API_URL}/account/${id}`);

  const json = await response.json();

  // There was an error fetching the player
  if (!response.ok) {
    throw new Error(json.message);
  }

  // Return the player's data
  return json;
}

/**
 * Gets the player id from the current URL.
 */
export function getPlayerIdFromUrl(): string {
  const url = new URL(location.href);
  return url.pathname.split("/")[2];
}
