const path = require('path');
const { UserscriptPlugin } = require('webpack-userscript');


module.exports = {
  entry: './src/index.ts',
  mode: process.env.NODE_ENV || 'development',
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: ['.tsx', '.ts', '.js'],
  },
  plugins: [
    new UserscriptPlugin({
      metajs: false,
      downloadBaseURL: 'https://ssu.fascinated.cc/scripts/',
      updateBaseURL: 'https://ssu.fascinated.cc/scripts/',
      headers: {
        name: "ScoreSaber Utils",
        author: "fascinated7 (discord)",
        "run-at": "document-end",
        match: "https://scoresaber.com/*",
        version: `1.0.0-${process.env.GIT_REV ? process.env.GIT_REV.substring(0, 7) : "dev"}`,
      }
    })
  ],
  output: {
    filename: 'bundle.js',
    path: path.resolve(__dirname, 'dist'),
  },
};